TAAS - Bug #451

AP Sharing changes for all issue modules
01/03/2025 03:59 PM - Arathy PS

Status: Coding Done Start date: 01/03/2025
Priority: Normal Due date:

Assignee: Amal Ck % Done: 60%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Module: TAAS-General
Time Taken(HH): Tested By:

Responsible User: Code Reviewed By:

Description

History

#1 - 01/03/2025 04:02 PM - Arathy PS

Below Supplier add the drop down with customer card(default), agency card, pax card with blue star--this is only for corporate card

title: if choose this then full amount will be taken for AP sharing for partial sharing go to Ap sharing tab.
--> Need Db field ask Anil

#2 - 01/27/2025 02:07 PM - Anil KV

- Assignee changed from travvise Admin to Amal Ck

#3 - 01/27/2025 04:24 PM - Amal Ck

- Subject changed from AP Sharing are changes for all issue modules to AP Sharing changes for all issue modules

#4 - 01/27/2025 04:38 PM - Amal Ck
REQUIRMENT CHANGED

--> 'Sharing Type' Default 'Customer Corp Card'
--> 'Card Number' --> Mandatory --> Load from Customer Master -- based on Customer and Corprate Account
-> 'Corporate Card*' Set default -> before 'Supplier'

® | oad Only 'UCCF' Corporate Card

=> Ticket Tab

-> Add 'Corporate Card*B(Code | Name) After 'Supplier*'

*Load only 'Customer Card' and 'UCCF' Corp Cards Only

*Title -> Enter Corporate Card that means Agency Charges(Service Fee, etc..) received from 'Corporate Card'
*If select card then AP sharing 'Customer UCCF' Auto Generate with full amount

e Card and Supplier and/or Airline 'Allow Partial Payment' then Allow

#5 - 01/27/2025 04:39 PM - Amal Ck
- Status changed from New to Coding Started
- % Done changed from 0 to 30

#6 - 01/30/2025 10:19 AM - Amal Ck

done in ticket,visa,package

#7 - 01/31/2025 11:26 AM - Amal Ck
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

#8 - 04/04/2025 06:24 PM - Arathy PS
- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND

1. After unticking allow partial payment then no validation asking for allow partial payment while doing partial payment. -- (Issue Comming From Ticket
Issue Due To commenting validation error in Ticket Issue)

#9 - 04/08/2025 05:53 PM - Amal Ck
- Status changed from Reopen Bugs to Coding Done

- % Done changed from 50 to 60
